Difference between revisions of "Std ViewRotateLeft"

From FreeCAD Documentation
Jump to navigation Jump to search
(Marked this version for translation)
 
(8 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 
<translate>
 
<translate>
 +
 +
<!--T:7-->
 +
{{Docnav
 +
|[[Std_ViewLeft|Std ViewLeft]]
 +
|[[Std_ViewRotateRight|Std ViewRotateRight]]
 +
|[[Std_View_Menu|Std View Menu]]
 +
|IconL=Std_ViewLeft.svg
 +
|IconR=Std_ViewRotateRight.svg
 +
|IconC=Freecad.svg
 +
}}
 +
 
<!--T:1-->
 
<!--T:1-->
 
{{GuiCommand
 
{{GuiCommand
|Name=Std_RotateLeft
+
|Name=Std ViewRotateLeft
|MenuLocation=[[Std View Menu|View]] → Standard views → Rotate Left
+
|MenuLocation=View → Standard views → Rotate Left
|Shortcut= Shift + Left
 
 
|Workbenches=All
 
|Workbenches=All
 +
|Shortcut={{KEY|Shift}}+{{KEY|Left}}
 +
|SeeAlso=[[Std_ViewRotateRight|Std ViewRotateRight]]
 
}}
 
}}
  
Line 12: Line 24:
  
 
<!--T:3-->
 
<!--T:3-->
This tool rotates the 3D view toward the left (counterclockwise) by 90-degree increments.
+
The '''Std ViewRotateLeft''' command rotates the camera in the active [[3D_view|3D view]] around the view direction in 90-degree increments towards the left (counterclockwise).
  
==How to use==  
+
==Usage== <!--T:6-->
  
 
<!--T:4-->
 
<!--T:4-->
* Press {{KEY|Shift}} + {{KEY|Left}} or go to {{MenuCommand|View → Standard views → Rotate Left}}.
+
# There are several ways to invoke the command:
 +
#* Select the {{MenuCommand|View → Standard views → [[Image:Std_ViewRotateLeft.svg|16px]] Rotate Left}} option from the menu.
 +
#* Select the {{MenuCommand|Standard views → [[Image:Std_ViewRotateLeft.svg|16px]] Rotate Left}} option from the [[3D_view|3D view]] context menu.
 +
#* Use the keyboard shortcut: {{KEY|Shift}}+{{KEY|Left}}.
 +
 
 +
==Scripting== <!--T:8-->
 +
 
 +
<!--T:9-->
 +
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
 +
 
 +
<!--T:10-->
 +
To rotate the view to the left use the {{incode|viewRotateLeft}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
 +
 
 +
</translate>
 +
{{Code|code=
 +
import FreeCADGui
 +
 
 +
FreeCADGui.ActiveDocument.ActiveView.viewRotateLeft()
 +
FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()
 +
}}
 +
<translate>
 +
 
 +
<!--T:11-->
 +
{{Docnav
 +
|[[Std_ViewLeft|Std ViewLeft]]
 +
|[[Std_ViewRotateRight|Std ViewRotateRight]]
 +
|[[Std_View_Menu|Std View Menu]]
 +
|IconL=Std_ViewLeft.svg
 +
|IconR=Std_ViewRotateRight.svg
 +
|IconC=Freecad.svg
 +
}}
  
<!--T:5-->
 
{{Std Base navi}}
 
{{Userdocnavi}}
 
 
</translate>
 
</translate>
 +
{{Std Base navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Latest revision as of 20:36, 9 April 2020

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

Std ViewRotateLeft.svg Std ViewRotateLeft

Menu location
View → Standard views → Rotate Left
Workbenches
All
Default shortcut
Shift+Left
Introduced in version
-
See also
Std ViewRotateRight


Description

The Std ViewRotateLeft command rotates the camera in the active 3D view around the view direction in 90-degree increments towards the left (counterclockwise).

Usage

  1. There are several ways to invoke the command:
    • Select the View → Standard views → Std ViewRotateLeft.svg Rotate Left option from the menu.
    • Select the Standard views → Std ViewRotateLeft.svg Rotate Left option from the 3D view context menu.
    • Use the keyboard shortcut: Shift+Left.

Scripting

See also: FreeCAD Scripting Basics.

To rotate the view to the left use the viewRotateLeft method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRotateLeft()
FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()